package net.knarcraft.ffmpegconverter.container;

import net.knarcraft.ffmpegconverter.streams.StreamObject;
import org.jetbrains.annotations.NotNull;

import java.io.File;
import java.util.List;

/**
 * A record for storing the result of probing for streams
 *
 * @param parsedFiles   <p>The files that were parsed to get the attached streams</p>
 * @param parsedStreams <p>The streams that were parsed from the files</p>
 */
public record StreamProbeResult(@NotNull List<File> parsedFiles, @NotNull List<StreamObject> parsedStreams) {
}
